<?php

namespace Json;

use Shared\Log;

class JsonSerializer
{
    public static function serialize($data): string
    {
        try {
            return json_encode($data);
        } catch (\JsonException $e) {
            // Gérer l'erreur ici, par exemple, journaliser l'exception
            error_log('Erreur de sérialisation JSON : ' . $e->getMessage());
            return ''; // Ou retournez une valeur par défaut, selon vos besoins
        }
    }

}